Bug 187872 - Errors using Parse::RecDescent
Errors using Parse::RecDescent
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: perl-Parse-RecDescent (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-04 03:18 EDT by Braden McDaniel
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-05 03:31:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Braden McDaniel 2006-04-04 03:18:58 EDT
Description of problem:
I get a number of errors of this form when using Parse::RecDescent:

Use of uninitialized value in substr at
/usr/lib/perl5/vendor_perl/5.8.8/Parse/RecDescent.pm line 3033.

I get a number of similar errors in generated code, too.

Version-Release number of selected component (if applicable):
1.94-5.2

How reproducible:

Consistently.

Steps to Reproduce:
1. Write a Parse::RecDescent grammar.
2. Compile it with "perl -MParse::RecDescent - ../../grammar Literally::Grammar"
3. Attempt to parse something with it.
  
Actual results:
Numerous errors of the aforementioned form.

Expected results:
No errors (from Parse::RecDescent code, anyway).

Additional info:
I'm not seeing this with simple examples where the grammar is not precompiled.
Comment 1 Jason Vas Dias 2006-04-04 11:54:16 EDT
Please supply example programs demonstrating the problem - thanks.
Comment 2 Braden McDaniel 2006-04-05 03:31:56 EDT
I seem to have traced the problem to more rigorous requirements for test
programs imposed by the version of Module::Build in FC5. Why that resulted in
these complaints about Parse::RecDescent code remains a mystery to me; but
modifying my test program to make Module::Build happy (i.e., using Test::Simple)
seems to have fixed the problem.

Note You need to log in before you can comment on or make changes to this bug.